Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0010414
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2009-08-26 16:022009-10-22 14:55
ReportericiordiaView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version2.50MP6
StatusclosedFix in branchFixed in SCM revision3819efa69590
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava versionany
OS VersionanyDatabase versionanyAnt versionany
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0010414: Web.xml session time-out can not be configured without modifying core distro

DescriptionI want to change the session time-out of my instance. The only way to do it is by modifying this value in src-wad/src/org/openbravo/wad/web.xml file. After applying next MP my configuration will be lost.
Steps To Reproduce1) Try to change the session time-out of my instance.

The only way to do it is by modifying this value in src-wad/src/org/openbravo/wad/web.xml file.
Proposed SolutionMove this parameter to ad_model_object table. Then my configuration will be saved in my customization template.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0019366)
hgbot (developer)
2009-09-01 12:05

Repository: erp/devel/pi
Changeset: 3819efa6959077df2a84156fdf2d0b76152da15f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Sep 01 12:05:21 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3819efa6959077df2a84156fdf2d0b76152da15f [^]

fixed bug 0010414: Web.xml session time-out can not be configured without modifying core distro

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_PARA.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-wad/src/org/openbravo/wad/Wad.java
M src-wad/src/org/openbravo/wad/Wad_data.xsql
M src-wad/src/org/openbravo/wad/web.xml
M src-wad/src/org/openbravo/wad/webConf.xml
---
(0020153)
psarobe (manager)
2009-09-17 18:08

Tested working fine
(0020871)
johnfandl (reporter)
2009-10-08 11:05

This is great. I saw it in the release notes, but where is the documentation re: how to change this setting? Rok showed me how:

1. Change the 'timeout' value in:
System || Application Dictionary || AD Implementation Mapping || Object >> Parameters

2. Recompile the system to generate the new Web.xml
cd /opt/AppsOpenbravo
ant compile.development -Dtab=XXX

3. Restart Tomcat to deploy the updated Web.xml to Tomcat
su
/etc/init.d/tomcat restart
exit
(0021287)
azabaleta (reporter)
2009-10-21 17:37

Please add little guide in the wiki on how to change it. I had to navigate here to learnt how to do this. In fact, John was the one who wrote it.

Thanks
(0021288)
azabaleta (reporter)
2009-10-21 17:41

In fact, even with the description, I dont in which object is the timeout parameter.
(0021331)
alostale (developer)
2009-10-22 14:31

The documentation is here:
http://wiki.openbravo.com/wiki/ERP/2.50/Configuration_Manual/Personalizing_Openbravo_ERP#Session_Timeout [^]
(0021337)
azabaleta (reporter)
2009-10-22 14:55

Thanks for creating it.

I have edited the MP6 release notes to point people to this links
http://wiki.openbravo.com/wiki/ERP/2.50/Release_Notes/2.50MP6 [^]

Asier

- Issue History
Date Modified Username Field Change
2009-08-26 16:02 iciordia New Issue
2009-08-26 16:02 iciordia Assigned To => alostale
2009-08-28 12:23 rafaroda Status new => scheduled
2009-08-28 12:23 rafaroda Proposed Solution updated
2009-09-01 12:05 hgbot Checkin
2009-09-01 12:05 hgbot Note Added: 0019366
2009-09-01 12:05 hgbot Status scheduled => resolved
2009-09-01 12:05 hgbot Resolution open => fixed
2009-09-01 12:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3819efa6959077df2a84156fdf2d0b76152da15f [^]
2009-09-17 18:08 psarobe Status resolved => closed
2009-09-17 18:08 psarobe Note Added: 0020153
2009-09-17 18:08 psarobe Fixed in Version => 2.50MP6
2009-09-18 00:00 anonymous sf_bug_id 0 => 2861005
2009-10-08 11:05 johnfandl Note Added: 0020871
2009-10-21 17:37 azabaleta Note Added: 0021287
2009-10-21 17:41 azabaleta Note Added: 0021288
2009-10-22 14:31 alostale Note Added: 0021331
2009-10-22 14:55 azabaleta Note Added: 0021337


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker